#!/usr/bin/make -f

export PYBUILD_NAME=pydispatch
ifeq (,$(PYBUILD_AUTOPKGTEST))
# This test only works after installation.
export PYBUILD_TEST_ARGS=--deselect tests/test_packaging.py::PackagingTest::test_package_metadata
endif

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_installdocs:
	cd docs/pydoc && PYTHONDONTWRITEBYTECODE=1 PYTHONPATH=../.. python3 ./builddocs.py
	find docs/pydoc -type f -name '*.html' -print0 | xargs -0r sed -i -e 's@<br><a href="file:.*</a>@@g'

execute_before_dh_installexamples:
	chmod 0644 examples/*py
